<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования директории типовых динамических страниц.
 * 
 * Файл: /admin/lib/action/form_edit_add_lib_dir.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
if (!isset($edit_lib_dir_id))
{
	$edit_lib_dir_id = 0;
}

if (!isset($lib_dir_id))
{
	$lib_dir_id = 0;
}

if (!isset($lib_dir_parent_id))
{
	$lib_dir_parent_id =  0;
}

$form_params = array();
$form_params['title'] = $edit_lib_dir_id == 0 ? $GLOBALS['MSG_lib']['lib_form_title_add_dir'] : $GLOBALS['MSG_lib']['lib_form_title_edit_dir'];
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/lib/lib.php';
$form_params['form_attribs']['ENCTYPE'] = 'multipart/form-data';
$form_params['form_attribs']['name'] = 'EditAddLibDir';

$admin_forms_fields = new admin_forms_fields();

$lib = & singleton('lib');

$path_array = $lib->GetLibPathArray($lib_dir_parent_id);

$path = $lib->path_array;

// Преобразуем идентификаторы групп в ссылки на группы.
$form_params['path_array'] = array();
if ($path_array)
{
	foreach ($path_array as $key => $value)
	{
		$form_params['path_array'][] = array (
		'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/lib/lib.php', "&lib_dir_id=$key", 32, 'load_data'),
		'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/lib/lib.php', "&lib_dir_id=$key", 32, 'load_data'),
		'name' => $value);
	}
}

$form_params['path_array'][0]['name'] = $GLOBALS['MSG_lib']['menu'];

$admin_forms_fields->admin_forms_fields($form_params);

$DataBase = & singleton('DataBase');

$lib_dir_id_not_set = false;

// Редактирование директории
if ($edit_lib_dir_id)
{
	$type = 1;
	$result = $lib->GetLibDir($edit_lib_dir_id);
	$lib_dir_name = $result['lib_dir_name'];
	$lib_dir_id_not_set = $result['lib_dir_id'];
}
// Добавление адреса
else
{
	$lib_dir_name = '';
}

// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_lib']['lib_parameters']);

$mas = array();
$mas = $lib->GetLibDirTree(0, "&nbsp;&nbsp;", $lib_dir_id_not_set);

$array[0] = ' ... ';

$values_arr[0] = 0;

// получаем список директорий
$mas_count = count($mas);

for ($i = 0; $i < $mas_count; $i++)
{
	if ($edit_lib_dir_id == to_int($mas[$i][0])) 
	{
		continue;
	}
	$array[$mas[$i][0]] = $mas[$i][1];
}

// имя директории
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'lib_dir_name';
$param['caption'] = $GLOBALS['MSG_lib']['lib_dir_form_name'];
$param['type'] = 0; // textbox
$param['value'] = $lib_dir_name;
$param['attributes']['class'] = 'large';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// родительский раздел
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'lib_dir_parent_id';
$param['caption'] = $GLOBALS['MSG_lib']['lib_form_parent_dir'];
$param['type'] = 2; // выпадающий список
$param['items'] = $array;
$param['value'] = $lib_dir_parent_id;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Идентификатор директории, из списка директорий которой сейчас зашли в форму добавления/редактирования
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'lib_dir_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $lib_dir_id;

$admin_forms_fields->AddField($param);

// передаем скрытое поле с идентификатором редактируемой директории
if ($edit_lib_dir_id)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_lib_dir_id';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_lib_dir_id;

	$admin_forms_fields->AddField($param);
}

// Кнопка "Сохранить".
$param = array();
$param['name'] = 'save_lib_dir';
$param['caption'] = $GLOBALS['MSG_lib']['lib_save'];
//$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = 'add_lib_dir';
$param['caption'] = $GLOBALS['MSG_lib']['lib_apply'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>